## 2.1.10

* Upgrade to WonderPush Android SDK v4.1.5
  * Fix a bug when an in-app triggered by a delay while the application is in background becomes unclosable
  * Avoid displaying multiple in-apps at once
  * Timer should not display in-app while in background, wait for next foreground

## 2.1.9

* Upgrade to WonderPush iOS SDK v4.0.12
* Upgrade to WonderPush Android SDK v4.1.4

## 2.1.8

* Upgrade to WonderPush iOS SDK v4.0.10

## 2.1.7

* Upgrade to WonderPush iOS SDK v4.0.9

## 2.1.6
* Updated iOS SDK to 4.0.6
* Updated Android SDK to 4.1.3

## 2.1.5

* Upgrade to WonderPush Android SDK v4.1.2
  * Fix NPE when no `targetUrl` was given in the push notification using the API
  * Add missing try/catch in `WonderPushNotificationTrackingReceiver`
  * Give clicked button index in intent

## 2.1.4

**If you use "targetSdk 31" this SDK version is _required_**, along with our FCM module v1.0.4 minimum.
For the others, we recommend to always use the latest published version.

**Changelog:**

* Upgrade to WonderPush Android SDK v4.1.0
  * Support targeting builds to Android 12, when using `targetSdk 31`
  * Change the `APP_LAUNCH` in-app system trigger to match application cold starts
  * Allow to display in-apps contained in manually-displayed data push notifications

# Android 12 support

If you use `targetSdk 31`, this SDK version is **required**.
You will also need to upgrade the version of our FCM module to [v1.0.4](https://github.com/wonderpush/wonderpush-flutter-sdk/releases/tag/fcm-v1.0.4) minimum.

Here is a more detailed outline of the changes:
  * Adapt to the [Notification trampoline restrictions](https://developer.android.com/about/versions/12/behavior-changes-12#notification-trampolines)
  * Remove now-unnecessary and now-restricted use of [the `ACTION_CLOSE_SYSTEM_DIALOGS` intent](https://developer.android.com/about/versions/12/behavior-changes-all#close-system-dialogs).
  * Fix missing `@APP_OPEN` events when an activity is resumed after a long time, [like Android 12 now does](https://developer.android.com/about/versions/12/behavior-changes-all#back-press) when pressing back on the root activity.
  * Handle a few deprecations

## 2.1.3
* Use iOS SDK v4.0.4
* Use Android SDK v4.0.7

## 2.1.2
* Use Android SDK v4.0.6

## 2.1.1
* Fix potential data race on iOS

## 2.1.0

* Null safety
* Upgrade to WonderPush Android SDK v4.0.5
  * Fix NPE on setUserId() called quickly after first startup
  * Support for collapsible big pictures
  * Fix a ClassNotFoundException when notification opens an external app.
  * Small fix to ensure a bad configuration does not prevent any received notification from being displayed due to an invalid small icon resource. If you are impacted then you must upgrade our FCM module to v1.0.2 to fix further issues.
  * Miscellaneous fixes
* Upgrade to WonderPush iOS SDK v4.0.2
  * Miscellaneous fixes

## 2.0.2

* Upgrade to WonderPush iOS SDK v4.0.1

## 2.0.1

* Upgrade to WonderPush Android SDK v4.0.2
  Fixes discovery of FCM/HCM push services on minified release builds.

## 2.0.0

* Upgrade to WonderPush Android SDK v4.0.1
* Upgrade to WonderPush iOS SDK v4.0.0
* This version officially releases in-app messaging!
* Attribute events to the last clicked notification. Lets you view events generated by a particular notification in your dashboard.
* Count delivered notifications and report it to your dashboard.
* Detect devices that no longer receive notifications
* Segment users depending on app usage and real-time presence.
* Reduced logging verbosity
* Fix spurious "App Open" events tracked on some background activities
* For better privacy, WonderPush no longer collects events from non-subscribers. If you think you have a use-case that would justify collecting data for non-subscribers, please contact us.

**Breaking changes:**

* Removed `WonderPush.isReady()`. You do not need to wait to use WonderPush.
* You must now initialize the SDK using the clientId/clientSecret credentials from the NotificationServiceExtension.

**Upgrading:**

Follow our [upgrade guide](https://docs.wonderpush.com/docs/upgrading-to-flutter-sdk-v2).

## 1.0.1

* Added dartdoc, better example

## 1.0.0

* This is the initial release of the WonderPush Flutter SDK. Get started here: https://docs.wonderpush.com/docs/flutter-push-notifications
